function [hx,hy]=fields(eigvec,nx,ny)
%
% Function to convert raw eigenvector to 2D H_x and H_y fields on the Yee mesh
%
colx=1;
for n=1:ny
 for m=1:nx
  coly=colx+1;
  hx(m,n,:)=eigvec(colx,:);
  hy(m,n,:)=eigvec(coly,:);
  colx=colx+2;
 end
end
